Subject: [secdir] review of draft-ietf-stir-certificates-10.txt

From: Klaas Wierenga <[email-masked]>
Date: Tue, 25 Oct 2016 16:01:13 +0200

Hi,

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

draft-ietf-stir-certificates-10.txt describes the use of certificates to assert authority over phone numbers. 

The document is clear and I believe addresses the security concerns surrounding the use of certificates in this context. I consider this document:

ready with nits

I have a few questions though, probably to do with my lack of understanding of the use case, so I hope you will indulge me:

- pardon my ignorance, but would ENUM/E.146+DNSSEC be an alternative too? It seems to me that DNS works better than lengthy certificate chains….

- section 5.2: doesn’t using 1 certificate with millions of numbers defeat the purpose of this work? Could one of those million numbers spoof another of those numbers?

- section 10.2: "The requirement to consult OCSP in real time results in a network
   round-trip time of day,” I don’t understand that sentence.

Thanks,

Klaas